import Color from "../../system/Color";
import { StiLabelAlignment, StiVerticalAlignment } from "../../system/enums";
import { Font } from "../../system/Font";
import StiJson from "../../system/StiJson";
import { StiTextItem } from "./StiTextItem";
export declare class StiLabelItem extends StiTextItem {
    font: Font;
    color: Color;
    private _alignment;
    private _verticalAlignment;
    private _width;
    eParent: any;
    constructor(parent: any, value?: string, font?: Font, color?: Color, alignment?: StiLabelAlignment, verticalAlignment?: StiVerticalAlignment, width?: number);
    get alignment(): StiLabelAlignment;
    set alignment(value: StiLabelAlignment);
    get eVerticalAlignment(): StiVerticalAlignment;
    set eVerticalAlignment(value: StiVerticalAlignment);
    get verticalAlignment(): StiVerticalAlignment;
    set verticalAlignment(value: StiVerticalAlignment);
    get width(): number;
    set width(value: number);
    haveContentAlignment(): boolean;
    haveVerticalAlignment(): boolean;
    setProperty(propName: string, value: any, oldObject: any): void;
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
    htmlStyle(): string;
    isUnchangedVAlign(): boolean;
}
